com.rs.xbrl.instructions.formula

## Class PureDimensionAndMemberAspectOrFilter

- java.lang.Object
- - com.rs.xbrl.instructions.formula.DimensionAndMemberAspectOrFilter
  - - com.rs.xbrl.instructions.formula.PureDimensionAndMemberAspectOrFilter

- All Implemented Interfaces:
    AspectOrFilter

      public class PureDimensionAndMemberAspectOrFilter
      extends DimensionAndMemberAspectOrFilter

  The Class PureDimensionAndMemberAspectOrFilter.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureDimensionAndMemberAspectOrFilter(java.lang.String aspect, ConceptParserResult cpDimension, ConceptParserResult cpMembers, java.lang.String role)` Instantiates a new pure dimension and member aspect or filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLFragment` | `getAspectFragment(DTSContainer dts)` Generates an XMLFragment that can be used as one additional aspect on a formula.
    `XBRLResource` | `getFilterFragment(GenerationContext gc)` Generated an XMLFragment that can be used as one additional filter on a formula.

    - ### Methods inherited from class com.rs.xbrl.instructions.formula.DimensionAndMemberAspectOrFilter

      `getFilterFragment, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PureDimensionAndMemberAspectOrFilter

          public PureDimensionAndMemberAspectOrFilter(java.lang.String aspect,
                                              ConceptParserResult cpDimension,
                                              ConceptParserResult cpMembers,
                                              java.lang.String role)

      Instantiates a new pure dimension and member aspect or filter.
      Parameters:
        `aspect` - the aspect
        `cpDimension` - the cp dimension
        `cpMembers` - the cp members
        `role` - the role

  - ### Method Detail

    - #### getAspectFragment

          public XMLFragment getAspectFragment(DTSContainer dts)

      Description copied from interface: `AspectOrFilter`
      Generates an XMLFragment that can be used as one additional aspect on a formula.
      Parameters:
        `dts` - the dts
      Returns:
        XMLFragment or null if cannot be generated

    - #### getFilterFragment

          public XBRLResource getFilterFragment(GenerationContext gc)

      Description copied from interface: `AspectOrFilter`
      Generated an XMLFragment that can be used as one additional filter on a formula.
      Parameters:
        `gc` - the gc
      Returns:
        XMLFragment or null if cannot be generated